﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _542432
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Random r = new Random();
            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Bool", typeof(bool));
            table.Columns.Add("TIME", typeof(TimeSpan));

            for (int i = 0; i < 10; i++)
            {
                table.Rows.Add(i, "Row " + i, r.Next(10) > 5 ? true : false, TimeSpan.FromHours(i));
            }

            this.radGridView1.DataSource = table;
            radGridView1.Columns["TIME"].DataTypeConverter = new DateToTimeConverter();
      
            radGridView1.EditorRequired += new Telerik.WinControls.UI.EditorRequiredEventHandler(radGridView1_EditorRequired);

            radGridView1.MouseMove += new MouseEventHandler(radGridView1_MouseMove);
        }

        void radGridView1_MouseMove(object sender, MouseEventArgs e)
        {
            GridCellElement cell = radGridView1.ElementTree.GetElementAtPoint(e.Location) as GridCellElement;
            if (cell != null)
            {
                Console.WriteLine(cell.RowInfo.Index);
            }
        }

        void radGridView1_EditorRequired(object sender, Telerik.WinControls.UI.EditorRequiredEventArgs e)
        {
            if (radGridView1.CurrentColumn.Name == "TIME")
            {
                e.Editor = new GridTimePickerEditor();
            }
        }

    }
}
